// extraskinattrib - additional information that can be applied to a skin.
// In this example, we check if the skin is using "Simple AnimaL".
// Similiar to how modularity was done for Windows for SRB2, listing the
// extension's name is done by calling the function a special way.
// In this case, it'd be SISimpleAnimaL(nil, true, p).
local function SISimpleAnimaL(intname, name, p)
	if name then CONS_Printf(p, "Simple AnimaL Detection") return end
	if _G["SIMPLE_ANIMAL_VERSION"] and _G["SIMPLE_ANIMAL_DEFINITIONS"]
	and _G["SIMPLE_ANIMAL_DEFINITIONS"][intname] then
		return "(Simple AnimaL)" // Make our presence known!
	end
end
table.insert(SkInfo.specialskinattrib, SISimpleAnimaL)
// Additional plugins should return the text with an extra space.